function imgf = row_filter(img)
% img je jednoriadkovy obraz v grayscale mode (hodnoty z intervalu 0 .. 255)

% Pretypovanie z uint8 na double, kvoli vypoctom so zapornymi cislami
img = double(img);

% Laplace filter pre jeden riadok
% Vahy filta (-0.5, 1.0, -0.5)
[pocet_r,pocet_s] = size(img);

% Nastavenie prveho a posledneho pixelu na 0
imgf(1,1) = 0; imgf(1,pocet_s) = 0;

% Vypocet pixelov Laplace filtrom
for i = 2:(pocet_s-1)
    imgf(1,i) = (-0.5*img(1, i-1) + img(1, i) -0.5*img(1, i+1));
end
